import { useEffect, useState } from "react";
import { remult } from "remult";
import { LauncherEntry } from "@root/../shared/LauncherEntry";

const launcherRepo = remult.repo(LauncherEntry);

function App() {
    const [apps, setApps] = useState<LauncherEntry[]>([]);
    useEffect(() => {
        launcherRepo.find().then(setApps);
    }, []);
    return (
        <>
            {apps.map((app) => (
                <a
                    href={app.url}
                    target='_blank'
                    rel='noreferrer'
                    style={{
                        textDecoration: "none",
                        color: "white",
                        backgroundColor: "green",
                        padding: "10px",
                        margin: "10px",
                        display: "inline-block",
                    }}
                    key={app.id}
                >
                    <div key={app.id}>
                        <h1>{app.name}</h1>
                        <p>{app.description}</p>
                        <img src={app.iconUrl} alt={app.name} style={{ width: "128px", height: "128px" }} />
                    </div>
                </a>
            ))}
        </>
    );
}

export default App;
