import react from "@vitejs/plugin-react";
import path from "path";
import { defineConfig, loadEnv } from "vite";

// https://vitejs.dev/config/

export default defineConfig(({ mode }) => {
    process.env = { ...process.env, ...loadEnv(mode, process.cwd()) };
    return defineConfig({
        resolve: {
            alias: {
                "@root": path.resolve(__dirname, "./"),
                "@": path.resolve(__dirname, "./src"),
            },
        },
        plugins: [react()],
        server: { proxy: { "/api": "http://localhost:3000" } },
    });
});
