/* eslint-disable @typescript-eslint/no-unsafe-assignment */
import express from "express";
import swaggerUi from "swagger-ui-express";
import { api } from "./api.js";

const app = express();
app.use(api);
const openApiDocument = api.openApiDoc({ title: "My API" });
app.get("/api/openApi.json", (_, res) => res.json(openApiDocument));
app.use("/api/docs", swaggerUi.serve, swaggerUi.setup(openApiDocument));

app.listen(3000, () => {
    console.log("Server started");
    console.log("OpenAPI spec at http://localhost:3000/api/openApi.json");
    console.log("Swagger UI at http://localhost:3000/api/docs/");
});
